/*
 *
 * CommandManager
 *
 * This class maintains all custom commands and executions throughout the mod
 *
*/

package jesse.keeblarcraft.Commands;

import jesse.keeblarcraft.Keeblarcraft;
import jesse.keeblarcraft.ChatStuff.ChatMsg;

public class CustomCommandManager {
    // Intentionally empty constructor since at object definition time it may not be possible to register commands
    public CustomCommandManager() {}

    // Registers all custom command classes here
    public void RegisterCustomCommands() {
        // CUSTOM COMMAND CLASS OBJECTS BELOW
        ShortcutCommands shortcuts = new ShortcutCommands();
        NoteCommands noteCommands = new NoteCommands();
        BankCommands bankCommands = new BankCommands();
        AttributeCommands attributeCommands = new AttributeCommands();
        FactionCommands factionCommands = new FactionCommands();
        MiscCommands miscCommands = new MiscCommands();
        MailCommands mailCommands = new MailCommands();

        // REGISTER COMMANDS BELOW
        Keeblarcraft.LOGGER.info("Registering mod commands");
        shortcuts.RegisterShortcutCommands();
        noteCommands.RegisterNoteCommands();
        bankCommands.RegisterCommands();
        attributeCommands.RegisterCommands();
        factionCommands.RegisterFactionCommands();
        miscCommands.RegisterCommands();
        mailCommands.RegisterMailCommands();
    }
}
